package com.fujitsu.iflowqa.testframe;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
 
public class JUnitTestFrameWrapper extends TestCase {
    
    private static String[] cmdLineArgs;
    
    public JUnitTestFrameWrapper(){
    }

    public void testTestFrame() {
        com.fujitsu.iflowqa.testframe.TestDriver.main(cmdLineArgs);
    }

    public static Test suite() {
    
System.out.println("Hi 2");
        TestSuite ts = new TestSuite("TestFrame Tests");
System.out.println("Hi 3");
        ts.addTest(new JUnitTestFrameWrapper());
System.out.println("Hi 4");
        return ts;

    }

    public static void main(String[] args) {

        System.out.println("Hi there");
        cmdLineArgs = args;
        
        System.out.println("Hi 2");
        TestSuite ts = new TestSuite("TestFrame Tests");
System.out.println("Hi 3");
        ts.addTest(new JUnitTestFrameWrapper());
System.out.println("Hi 4");

        junit.textui.TestRunner.run(ts);

    }

}
